Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(575)

Issue 442083004: Adds support for detecting modified gyp* files to analyzer (Closed)

Created:
5 years, 6 months ago by sky
Modified:
5 years, 6 months ago
Reviewers:
Mark Mentovai, scottmg
CC:
gyp-developer_googlegroups.com
Visibility:
Public.

Description

Currently I've special cased gyp* file modifications higher in the stack. By that I mean if a gyp* file has been modified I don't run analyze and assume everything has changed. This change adds support for modification to gyp* files. If a gyp* file has changed it assumes all targets in the file are modified. Similarly if an included file has been modified all targets in the file that did the include are considered modified. Lastly, if one of the modified files is specified on the command line via -I the I early out and assume everything needs to be recompiled. BUG=109173 R=scottmg@chromium.org Committed: https://code.google.com/p/gyp/source/detail?r=1962

Patch Set 1 #

Total comments: 6

Patch Set 2 : #

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+202 lines, -20 lines) Patch
M pylib/gyp/generator/analyzer.py View 1 6 chunks +76 lines, -19 lines 0 comments Download
A test/analyzer/common.gypi View 1 2 1 chunk +6 lines, -0 lines 0 comments Download
M test/analyzer/gyptest-analyzer.new.py View 1 2 chunks +31 lines, -1 line 0 comments Download
A test/analyzer/subdir2/subdir.gyp View 1 2 1 chunk +18 lines, -0 lines 0 comments Download
A test/analyzer/subdir2/subdir.includes.gypi View 1 2 1 chunk +9 lines, -0 lines 0 comments Download
A test/analyzer/test2.gyp View 1 2 1 chunk +25 lines, -0 lines 0 comments Download
A test/analyzer/test2.includes.gypi View 1 2 1 chunk +13 lines, -0 lines 0 comments Download
A test/analyzer/test2.includes.includes.gypi View 1 2 1 chunk +9 lines, -0 lines 0 comments Download
A test/analyzer/test2.toplevel_includes.gypi View 1 2 1 chunk +15 lines, -0 lines 0 comments Download

Messages

Total messages: 7 (0 generated)
sky
5 years, 6 months ago (2014-08-05 21:51:20 UTC) #1
Mark Mentovai
I’m unable to do any reviews or work for the time being that don’t relate ...
5 years, 6 months ago (2014-08-05 22:09:02 UTC) #2
sky
mark->scottmg
5 years, 6 months ago (2014-08-05 22:31:45 UTC) #3
Mark Mentovai
If scottmg is willing to help, he’d be a suitable reviewer. (He’s also aware of ...
5 years, 6 months ago (2014-08-05 22:34:03 UTC) #4
scottmg
LGTM. I wasn't familiar with the analyzer code before, but the description seems reasonable, and ...
5 years, 6 months ago (2014-08-05 23:02:43 UTC) #5
sky
https://codereview.chromium.org/442083004/diff/1/pylib/gyp/generator/analyzer.py File pylib/gyp/generator/analyzer.py (right): https://codereview.chromium.org/442083004/diff/1/pylib/gyp/generator/analyzer.py#newcode67 pylib/gyp/generator/analyzer.py:67: def _ToGypPath(path): On 2014/08/05 23:02:43, scottmg wrote: > I ...
5 years, 6 months ago (2014-08-06 00:26:07 UTC) #6
sky
5 years, 6 months ago (2014-08-06 16:41:15 UTC) #7
Message was sent while issue was closed.
Committed patchset #3 manually as r1962 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698